<app-toolbar></app-toolbar>
<div>

  <div class="demo-button-container">

    &nbsp;&nbsp;
    <mat-form-field appearance="fill">
      <mat-label>Choose Start Date</mat-label>
      <input matInput [matDatepicker]="picker" [formControl]="startDate">
      <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
      <mat-datepicker #picker></mat-datepicker>
    </mat-form-field> 
    
    &nbsp;&nbsp;
    <mat-form-field appearance="fill">
      <mat-label>Choose End Date</mat-label>
      <input matInput [matDatepicker]="picker1" [formControl]="endDate">
      <mat-datepicker-toggle matSuffix [for]="picker1"></mat-datepicker-toggle>
      <mat-datepicker #picker1></mat-datepicker>
    </mat-form-field>
    

    &nbsp;&nbsp;
    <mat-form-field appearance="fill" >
      <mat-label>Select Trade Result</mat-label>
      <mat-select  [(value)]="defaultSelection" style="padding: 2px;" name="selectedTradeResult"
        (selectionChange)="setTradeResult($event.value)">
        <mat-option *ngFor="let type of tradeResultList;" [value]="type">
          {{type}}
        </mat-option>
      </mat-select>
    </mat-form-field>

    &nbsp;&nbsp;
    <button mat-raised-button color="primary" class="demo-button" (click)="getDataAsPerFilter()">
      Search
    </button>


    &nbsp;&nbsp;
    <button style="float: right;margin-top: 1%;margin-right: 1%;" mat-raised-button class="demo-button" color="primary" (click)="openDialog()">
      Add FNO Entry
    </button>
  </div>


  <table mat-table [dataSource]="fnoReportsList" class="mat-elevation-z8">

    <ng-container matColumnDef="date">
      <th mat-header-cell *matHeaderCellDef> Traded Date </th>
      <td mat-cell *matCellDef="let record"> {{record.tradedDate}} </td>
    </ng-container>

    <ng-container matColumnDef="grossAmount">
      <th mat-header-cell *matHeaderCellDef> Gross Amount </th>
      <td mat-cell *matCellDef="let record"> {{record.grossAmount}} </td>
    </ng-container>

    <ng-container matColumnDef="charges">
      <th mat-header-cell *matHeaderCellDef> Charges </th>
      <td mat-cell *matCellDef="let record"> {{record.tradeCharges}} </td>
    </ng-container>

    <ng-container matColumnDef="netAmount">
      <th mat-header-cell *matHeaderCellDef> Net Amount </th>
      <td mat-cell *matCellDef="let record"> {{record.netAmount}} </td>
    </ng-container>

    <ng-container matColumnDef="seventyPer">
      <th mat-header-cell *matHeaderCellDef> 70 % </th>
      <td mat-cell *matCellDef="let record"> {{record.seventyPercentShare}} </td>
    </ng-container>

    <ng-container matColumnDef="thirtyPer">
      <th mat-header-cell *matHeaderCellDef> 30 % </th>
      <td mat-cell *matCellDef="let record"> {{record.thirtyPercentShare}} </td>
    </ng-container>


    <ng-container matColumnDef="tradeResult">
      <th mat-header-cell *matHeaderCellDef> Trade Result </th>
      <td mat-cell *matCellDef="let record"> {{record.tradeResult}} </td>
    </ng-container>

    <ng-container matColumnDef="finalInHandProfit">
      <th mat-header-cell *matHeaderCellDef>In Hand Profit </th>
      <td mat-cell *matCellDef="let record"> {{record.finalInHandProfit}} </td>
    </ng-container>

    <ng-container matColumnDef="EDIT">
      <th mat-header-cell *matHeaderCellDef>EDIT </th>
      <td mat-cell *matCellDef="let record"> 
        <button mat-mini-fab color="primary" aria-label="Example icon button with a plus one icon" (click)="editExistingFNOEntry(record)">
          <mat-icon>edit</mat-icon>
        </button>
      </td>
    </ng-container>

    <ng-container matColumnDef="DELETE">
      <th mat-header-cell *matHeaderCellDef>Delete </th>
      <td mat-cell *matCellDef="let record"> 
        <button mat-mini-fab color="warn" aria-label="Example icon button with a menu icon" (click)="deleteById(record.id)">
          <mat-icon>delete</mat-icon>
        </button>
      </td>
    </ng-container>

    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
    
    
    

  </table>
</div>
